// FILENAME:	DM_City_on_the_Edge.cs
//
// AUTHORS:  	AC-MAJESTIC39
//---------------------------------------------------------------------------

$missionName = "HSE_DM_Ghetto_On_The_Edge";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();
}


function onMissionLoad()
{
   cdAudioCycle("Yougot", "Newtech", "Purge");
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to the HSE DM GHETTO on the EDGE You can download this & other missions made by HSE in the \"HSE Maps \" at http://sailor1966.tripod.com/hseclan/ ");
}

// Water Tower splash functionality
function structure::onDestroyed(%this, %attackerId){
	// Which water tower was destroyed?
	if(%this == getObjectId("MissionGroup\\BlueBase\\WaterTower1")){
		setShapeVisibility(getObjectId("MissionGroup\\BlueBase\\Splash1"), true);
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Splash1"), 0, true);
	}
	else if(%this == getObjectId("MissionGroup\\BlueBase\\WaterTower2")){
		setShapeVisibility(getObjectId("MissionGroup\\BlueBase\\Splash2"), true);
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Splash2"), 0, true);
	}
	else if(%this == getObjectId("MissionGroup\\BlueBase\\WaterTower3")){
		setShapeVisibility(getObjectId("MissionGroup\\BlueBase\\Splash3"), true);
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Splash3"), 0, true);
	}
}

//=====================================================
//          Take it outside code
//=====================================================
function ZenTransporter1::trigger::onContact(%this, %vehicle)
{
  setPosition(%vehicle, -26.2088, 2498.33, 184.643);
}

function Take it Outside!::trigger::onScan(%this, %vehicle)
{
  setPosition(%vehicle, -26.2088, 2498.33, 184.643);
}
exec("BoPstdlib.cs");